commit:     b0969f05ac32a1bf417d7438ad47ab7ceae9e9ec
Author:     Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Tue Jan 10 01:02:20 2017 +0000
Commit:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Tue Jan 10 01:02:20 2017 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=b0969f05

sci-biology/repeatmasker: improve installation process

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 ...peatmasker-4.0.6-r2.ebuild => repeatmasker-4.0.6-r3.ebuild} | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/sci-biology/repeatmasker/repeatmasker-4.0.6-r2.ebuild 
b/sci-biology/repeatmasker/repeatmasker-4.0.6-r3.ebuild
similarity index 94%
rename from sci-biology/repeatmasker/repeatmasker-4.0.6-r2.ebuild
rename to sci-biology/repeatmasker/repeatmasker-4.0.6-r3.ebuild
index 7a64c7e..c320942 100644
--- a/sci-biology/repeatmasker/repeatmasker-4.0.6-r2.ebuild
+++ b/sci-biology/repeatmasker/repeatmasker-4.0.6-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -72,16 +72,16 @@ src_install() {
                dosym /usr/share/${PN}/$i /usr/bin/$i
        done
 
-       dodir /usr/share/${PN}/lib
-       insinto /usr/share/${PN}/lib
+       perl_set_version
+       insinto "${VENDOR_LIB}"
        doins "${S}"/*.pm "${S}"/Libraries/*.pm
        # zap the supposedly misplaced RepeatAnnotationData.pm file
-       rm -rf "${S}"/Libraries/*.pm || die
+       rm -r "${S}"/Libraries/*.pm || die
 
        # if sci-biology/repeatmasker-libraries is installed prevent file 
collision
        # and do NOT install Libraries/RepeatMaskerLib.embl file which contains
        # a limited version of the file: 20110419-min
-       rm -rf Libraries/RepeatMaskerLib.embl || die
+       rm -r Libraries/RepeatMaskerLib.embl || die
        insinto /usr/share/${PN}
        doins -r util Matrices Libraries *.help
        keepdir /usr/share/${PN}/Libraries

Reply via email to